SCANSPOOL(8)

NAME
scanspool - Perform a sanity scan over all articles in news spool

SYNOPSIS
scanspool [-cnv] [-a active-file] [-s spool-dir]

DESCRIPTION
scanspool is a Perl script for use with a tradspool article spool. It will scan the active file as well as all articles in the spool and report on the errors it encounters. As this may take a while, using the -v switch is recommended to see how far the program has progressed.

First, scanspool scans the active file, noting problems such as:

•   malformed lines;

•   newsgroups aliased to a non-existent newsgroup;

•   newsgroups aliased to a newsgroup that is also aliased.

Then it will examine all articles under your news spool directory, complaining about articles that:

•   have a basename that starts with a leading 0;

•   have a basename that is out of range according to the active file;

•   do not contain a Newsgroups: header line;

•   are all header and no text;

•   are in a directory for which there is no newsgroup in the active file;

•   are in a newsgroup to which they do not belong.

scanspool understands aliased newsgroups. Thus, if an article is posted to foo.old.name that is aliased to foo.bar, it will be expected to be found under foo.bar and not foo.old.name.

Articles posted to a newsgroup of status "j" or "x" (the fourth field of the active file) will be expected to show up under the junk group.

scanspool assumes that the path of a valid newsgroup's directory from the root of the spool tree will not contain any "." character. Thus, directories such as out.going, tmp.dir, in.coming and news.archive will not be searched. This program also assumes that article basenames contain only decimal digits. Last, files under the top level directory lost+found are not scanned.

OPTIONS

-a active-file
    The active file to use; pathdb/active is the default.

-c  Only check article filenames. scanspool will therefore not actually scan the Newsgroups: header field of the articles.

-n  Don't throttle innd while scanning.

-s spool-dir
    The root of the spool tree; patharticles is the default.

-v  Setting this flag enables a verbose mode. scanspool will then print which newsgroup is currently worked upon. It will list all the articles found in non-active directories (that is to say articles sorted into groups no longer present in the active file), rather than just printing the group once.

DIAGNOSTICS
The output of scanspool will start with one of the following forms:

"FATAL:" (to stderr)
    Fatal or internal error.

"WARN:" (to stderr)
    active or article format problem, newsgroup alias problem, find(1) error, article open error.

"path/123:" (to stdout)
    Issues such as:

    •   basename starts with 0;

    •   article number out of range;

    •   article in the wrong directory;

    •   article in a directory not related to an active non-aliased newsgroup.

"\t ..." (to stdout)
    Verbose messages start with a tab.

BUGS
scanspool is unable to detect and properly deal with spool formats other than tradspool. However, if the files that store your articles are named other than just all-digits, they will simply be skipped (and your active is still checked).

scanspool only considers the first line of the Newsgroups: header field. Continuation lines are not taken into account.

HISTORY
scanspool was written by Landon Curt Noll (chongo was here /\../\).

This manual page was written by Florian Schlichting, largely based on comments in the script.

$Id: scanspool.pod 9302 2011-08-04 21:10:17Z iulius $

SEE ALSO
active(5).